package com.yihu.jw.entity.care.prescription;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by yeshijie on 2021/10/11.
 */
@Entity
@Table(name="base_care_prescription")
public class BaseCarePrescriptionDO extends UuidIdentityEntityWithCreateTime {

    private String patient;//
    private String patientName;//
    private Integer status;//状态1待处理 2已处理
    private String doctor;//处理医生
    private String doctorName;//
    private String applyImgs;//申请附件
    private String applyContent;//申请内容
    private String dealImgs;//处理附件
    private String dealContent;//处理内容

    private String sex;
    private String age;
    private String photo;
    private String type;

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "apply_imgs")
    public String getApplyImgs() {
        return applyImgs;
    }

    public void setApplyImgs(String applyImgs) {
        this.applyImgs = applyImgs;
    }

    @Column(name = "apply_content")
    public String getApplyContent() {
        return applyContent;
    }

    public void setApplyContent(String applyContent) {
        this.applyContent = applyContent;
    }

    @Column(name = "deal_imgs")
    public String getDealImgs() {
        return dealImgs;
    }

    public void setDealImgs(String dealImgs) {
        this.dealImgs = dealImgs;
    }

    @Column(name = "deal_content")
    public String getDealContent() {
        return dealContent;
    }

    public void setDealContent(String dealContent) {
        this.dealContent = dealContent;
    }

    @Transient
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Transient
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    @Transient
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    @Transient
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
